complexType "CashflowFixing"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 6 elements
Defined: | globally in fpml-reconciliation-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 6 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | observationReference*, calculatedValue?, multiplier?, spread?, capValue*, floorValue*
</...>

Content Model Elements (6):

  calculatedValue, capValue, floorValue, | multiplier (in calculatedRate in calculationElements), observationReference, spread (in calculatedRate in calculationElements)

All Direct / Indirect Based Elements (1):

  calculatedRate (in calculationElements)

Known Usage Locations

- As direct type of elements (1):
  calculatedRate (in calculationElements)

Annotation
Details of the computation of a computed rate or price used to calculate the amount of a cashflow component. This computed rate or price may include averaging and/or various types of rate treatment rules. The details include all of the observations, the calculation parameters, and the resulting value.
XML Source (w/o annotations (7); see within schema source)

<xsd:complexType name="CashflowFixing"> <xsd:sequence> <xsd:element maxOccurs="unbounded" minOccurs="0" name="observationReference" type="CashflowObservationReference"/> <xsd:element minOccurs="0" name="calculatedValue" type="xsd:decimal"/> <xsd:element minOccurs="0" name="multiplier" type="xsd:decimal"/> <xsd:element minOccurs="0" name="spread" type="xsd:decimal"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="capValue" type="Strike"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="floorValue" type="Strike"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 6/6)
calculatedValue

  Type: | xsd:decimal, predefined, simple content

  The value computed based on averaging the underlying observation and applying any spreads, multipliers, and cap and floors values. average or treated value computed based on the underlyer observations, following the calculation rules.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="calculatedValue" type="xsd:decimal"/>

capValue

  Type: | Strike, complex content

  The cap rate or price, if any, which applies to the floating rate for the calculation period. The cap rate (strike) is only required where the floating rate on a swap stream is capped at a certain strike level. The cap rate is assumed to be exclusive of any spread and is a per annum rate, expressed as a decimal. A cap rate of 5% would be represented as 0.05.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="capValue" type="Strike"/>

floorValue

  Type: | Strike, complex content

  The floor rate or price, if any, which applies to the floating rate for the calculation period. The floor rate (strike) is only required where the floating rate on a swap stream is floored at a certain strike level. The floor rate is assumed to be exclusive of any spread and is a per annum rate, expressed as a decimal. The floor rate of 5% would be represented as 0.05.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="floorValue" type="Strike"/>

multiplier

  Type: | xsd:decimal, predefined, simple content

  A rate multiplier to apply to the floating rate. The multiplier can be a positive or negative decimal. This element should only be included if the multiplier is not equal to 1 (one).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="multiplier" type="xsd:decimal"/>

observationReference

  Type: | CashflowObservationReference, empty content

  Reference to the observation details of a particular rate observation.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="observationReference" type="CashflowObservationReference"/>

spread

  Type: | xsd:decimal, predefined, simple content

  The ISDA Spread, if any, which applies for the calculation period. It also defines spread as price. The spread is a per annum rate, expressed as a decimal. For purposes of determining a calculation period amount, if positive the spread will be added to the floating rate and if negative the spread will be subtracted from the floating rate. A positive 10 basis point (0.1%) spread would be represented as 0.001.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="spread" type="xsd:decimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.